# CUpti_ActivityCudaEvent Struct Reference
[CUPTI Activity API]

The activity record for CUDA event. More...

## Data Fields
uint32_t | contextId
uint32_t | correlationId
uint32_t | eventId
CUpti_ActivityKind | kind
uint32_t | pad
uint32_t | streamId

## Detailed Description

This activity is used to track recorded events. (CUPTI_ACTIVITY_KIND_CUDA_EVENT).

## Field Documentation

uint32_t CUpti_ActivityCudaEvent::contextId

The ID of the context where the event was recorded.

uint32_t CUpti_ActivityCudaEvent::correlationId

The correlation ID of the API to which this result is associated.

uint32_t CUpti_ActivityCudaEvent::eventId

A unique event ID to identify the event record.

CUpti_ActivityKind CUpti_ActivityCudaEvent::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_CUDA_EVENT.

uint32_t CUpti_ActivityCudaEvent::pad

Undefined. Reserved for internal use.

uint32_t CUpti_ActivityCudaEvent::streamId

The compute stream where the event was recorded.